package cz.moneta.test.dsl.util.task.auto.smartauto.goTo;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.*;

import java.util.function.Function;

public class GoToTasks {

    private final Harness harness;
    public GoToTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, InvoicesPage> invoicesPage() {
        return start -> start
                .clickNavigation()
                .clickInvoices();
    }

    public Function<NewCalculationPage, QueuePage> queuePage() {
        return NewCalculationPage::clickMenuQueue;
    }

    public Function<NewCalculationPage, SavedCalculationsPage> savedCalculationsPage() {
        return NewCalculationPage::clickMenuSaved;
    }
}
